> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create App



## OpenAPI

````yaml /openapi.json post /v1/organizations/{organization_id}/apps
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations/{organization_id}/apps:
    post:
      tags:
        - v1 control plane
      summary: Create App
      operationId: create_app_v1_organizations__organization_id__apps_post
      parameters:
        - in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 255
            minLength: 1
            title: Idempotency-Key
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateApplicationRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatedApplication'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    CreateApplicationRequest:
      properties:
        description:
          anyOf:
            - maxLength: 4000
              type: string
            - type: 'null'
          title: Description
        name:
          maxLength: 255
          minLength: 1
          title: Name
          type: string
        slug:
          maxLength: 128
          minLength: 1
          title: Slug
          type: string
        timezone:
          default: UTC
          maxLength: 64
          minLength: 1
          title: Timezone
          type: string
      required:
        - name
        - slug
      title: CreateApplicationRequest
      type: object
    CreatedApplication:
      properties:
        application:
          $ref: '#/components/schemas/ApplicationSummary'
        live_environment:
          $ref: '#/components/schemas/EnvironmentSummary'
        test_environment:
          $ref: '#/components/schemas/EnvironmentSummary'
      required:
        - application
        - test_environment
        - live_environment
      title: CreatedApplication
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ApplicationSummary:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        organization_id:
          title: Organization Id
          type: string
        slug:
          title: Slug
          type: string
      required:
        - id
        - organization_id
        - slug
        - name
        - description
        - created_at
      title: ApplicationSummary
      type: object
    EnvironmentSummary:
      properties:
        app_id:
          title: App Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        kind:
          enum:
            - test
            - live
          title: Kind
          type: string
        organization_id:
          title: Organization Id
          type: string
        slug:
          title: Slug
          type: string
        status:
          enum:
            - active
            - pending_review
            - suspended
          title: Status
          type: string
        timezone:
          title: Timezone
          type: string
      required:
        - id
        - organization_id
        - app_id
        - slug
        - kind
        - status
        - timezone
        - created_at
      title: EnvironmentSummary
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````